# -*- coding: utf-8 -*-
import wx

class groupsCtrl (wx.TreeCtrl):
	def __init__ (self, parent, id, pos, size):
		wx.TreeCtrl.__init__(self, parent, id, pos, size)
	
	def eventGroupsChange (self, arch, group):
		self.DeleteAllItems()
		treedata = wx.TreeItemData(arch.getRootGroup())
		root = self.AddRoot(arch.getRootGroup().name, data = treedata)
		self.AddGroup(root, arch.getRootGroup())
		self.ExpandAll()
		
	def eventSmilesChange (self, sender, group):
		pass

	def AddGroup (self, treeParent, group):
		for subgroup in group.getSubGroups():
			treedata = wx.TreeItemData(subgroup)
			child = self.AppendItem (treeParent, subgroup.name, data = treedata)
			self.AddGroup(child, subgroup)