# -*- coding: utf-8 -*-

import wx
import shutil

from core.config import config

from MainWindow import MainWindow

class saApp (wx.App):
	def OnInit(self):
		frame = MainWindow(None, wx.ID_ANY, u"SmilesArchive")
		frame.Show()
		self.SetTopWindow(frame)
		return True
		
	def __init__(self, redirect=True, filename=None):
		wx.App.__init__(self, redirect, filename)
	

if __name__ == "__main__":
	# Сохраним копию старого файла со смайликами
	try:
		shutil.copyfile(config.instance().archiveFileName, \
			config.instance().archiveFileName + ".bak")	    
	except IOError:
		pass
	
	app = saApp(False)
	app.MainLoop()